package cn.iocoder.yudao.module.system.service.reservation;


import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.ReservationBedRespVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.ReservationPayVO;
import cn.iocoder.yudao.module.system.dal.dataobject.reservation.ReservationDepositDO;

/**
 * 预约床位押金 Service 接口
 *
 * @author 系统管理员
 */
public interface ReservationDepositService {


    void payFees(ReservationPayVO reservationPayVO);

    ReservationBedRespVO getReservationDetail(Long reservationId);

    void refund(Long reservationId);
    Long getBedIdByIdCard(String idCard);
}